---
title: "Get ledger accounts filtered and paged"
slug: "get-ledger-accounts-filtered-and-paged"
updated: 2025-11-21T20:01:51Z
published: 2026-02-10T12:53:32Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ledger accounts filtered and paged

Post/api/v1/finance/ledgeraccounts/filter

Get a paged list of existing ledger accounts, optionally filtered to the given parameters.

		
			

**Description**

This endpoint retrieves a paged list of existing ledger account codes and names from the financial accounting administration, filtered to the given parameters.

**Use Case**

The user wants to call the [GET ledger account operation](https://www.bloxs.io/v1-api/apidocs/en/855f5f92-443c-4c76-9ee7-bfe25f796047?isPreview=true&versionNumber=2), however does not know which code to use for the specific ledger account. By using the filter operation and leaving 'code' and 'name' empty the user can retrieve the list of available codes.

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| pageSize | The maximum number of pages to be returned per request. The default number is 100 and the maximum is 1.000. If more results are returned than specified in the PageSize, the remaining pages are dropped based on the reference (number). |
| pageNumber | This allows the requesting party to specify which of the pages they want to receive. |
| columnName | The data field based on which sorting is applied. For example, if the results are sorted based on compaction code, columnName will contain the value 'compaction code'. |
| order | Based on this value, the property defined in 'columnName' is either sorted ascending (a-z) or descending (z-a). |
| code | Ledger account code. |
| name | Ledger account name. |
| lastModified.from | The last modified date. This defines the lower border of the range. |
| lastModified.to | The last modified date. This defines the upper border of the range. |

**Response fields**

The 200 response contains the fields in the table below. Please note that the response can contain multiple instances of ledger accounts. For the GET operation it gives a up-to-date insight in the data that is currently registered in Bloxs.

| Field | Description |
| --- | --- |
| pageSize | The maximum number of pages to be returned per request. The default number is 100 and the maximum is 1.000. If more results are returned than specified in the PageSize, the remaining pages are dropped based on the reference (number). |
| pageNumber | This allows the requesting party to specify which of the pages they want to receive. |
| columnName | The data field based on which sorting is applied. For example, if the results are sorted based on compaction code, columnName will contain the value 'compaction code'. |
| order | Based on this value, the property defined in 'columnName' is either sorted ascending (a-z) or descending (z-a). |
| code | Ledger account code. |
| name | Ledger account name. |
| lastModified | The last modified date. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='cfaf312c-c96f-4903-a5d8-0808d8107845'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

filterobject (LedgerAccountSearchRequestFilter)  codestring   | null  
namestring   | null  
lastModifiedobject (CompareFilterModelDateTime)  fromstring  (date-time)   | null  
tostring  (date-time)   | null  

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='0bef15eb-a517-4945-8423-60f4a2749284'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

ledgerAccounts Array of object (LedgerAccountSearchResultFilter)  | null  object  codestring   | null  
namestring   | null  
lastModifiedstring  (date-time)
